.btn {
  padding: 31px 26px;
  background-color: $yellow;
  align-items: center;
  justify-content: center;
  color: $black;
  font-size: 1.8rem;
  @include display-flex;
  @include transition;
  @include max-767 {
    display: none;
  }

  &:hover {
    background-color: $black;
    color: $yellow;
  }

  &--big {
    padding: 17.5px 123.1px;
    font-weight: 500;
    font-size: 2.4rem;
    @include max-767 {
      display: block;
      padding: sp-sizing-2(40px) sp-sizing-2(106px);
      font-size: sp-sizing-2(3.6rem);
    }
  }

  &--mobile {
    @include max-767 {
      display: block;
      background-color: $yellow;
      padding: sp-sizing-2(20px) sp-sizing-2(35px);
      margin: sp-sizing-2(26px) sp-padding(30px, 750px);
      text-align: center;
      border-radius: sp-sizing-2(16px);
      color: $black;
      font-size: sp-sizing-2(3.6rem);
    }
  }

  &__primary {
    cursor: pointer;
    font-size: 1.6rem;
    border-radius: 30px;
    padding: 5.5px 18px 7.5px;
    background-color: $black;
    color: $yellow;
    border: none;
    letter-spacing: 0.025em;
    @include display-flex;
    @include transition;
    @include max-767 {
      font-size: sp-sizing-2(2.8rem);
    }

    &:hover {
      background-color: $yellow;
      color: $black;
    }

    &--plan {
      display: inline-block;
    }
  }

  &__arrow {
    width: 7px;
    margin-bottom: 2px;
  }
}
